
enemies = {}
enemies.spawnpoint={}
enemyImages= {}
enemyImages.red = love.graphics.newImage("images/redenemy1.png")
enemyImages.green = love.graphics.newImage("images/greenenemy1.png")
enemyImages.blue = love.graphics.newImage("images/blueenemy1.png")

enemyCount = 0

function enemySpawn(x, y, typeOfEnemy)
	table.insert(enemies, {x=x, y=y, typeOfEnemy=typeOfEnemy})
end

function newSpawnPoint(x, y, typeOfEnemy, timer)

	x = x or math.random(border.leftside+30, border.rightside-30)
	y = y or math.random(border.top+30, border.bottom-30)
	typeOfEnemy = typeOfEnemy or 1
	timer = timer or 5

	table.insert(enemies.spawnpoint, {x=x, y=y, typeOfEnemy=typeOfEnemy, timer = timer, default = timer})
end


function spawnpointInit()
	newSpawnPoint(20, 20, "red", 2)
	newSpawnPoint(20, 100, "blue")
	newSpawnPoint(100, 20, "green", 10)
end

function spawnEnemies(dt)
	for _,spawnpoint in ipairs(enemies.spawnpoint) do
		if spawnpoint.timer ~= 0 then
			spawnpoint.timer = spawnpoint.timer - 1*dt
		end
		if math.round(spawnpoint.timer, 3)<  0 then
			enemySpawn(spawnpoint.x, spawnpoint.y, spawnpoint.typeOfEnemy)
			enemyCount = enemyCount+ 1
			spawnpoint.timer = spawnpoint.default --Resets the timer to the original value
		end
	end
end

function enemyDraw()

	for _,enemy in ipairs(enemies) do
		love.graphics.draw(enemyImages[enemy.typeOfEnemy], enemy.x, enemy.y, 0, .5 ,.5)
	end

	for _,spawnpoint in ipairs(enemies.spawnpoint) do --Currently just for debugging
		love.graphics.print("spawn: "..spawnpoint.typeOfEnemy, spawnpoint.x, spawnpoint.y)
		love.graphics.print(math.round(spawnpoint.timer, 3), spawnpoint.x, spawnpoint.y+50)
	end
end


function enemyUpdate(dt)
	spawnEnemies(dt)
end
