
local player = {}
player.xPos = 100
player.yPos = 100
player.xVel = 0
player.yVel = 0
player.speed = 3
player.friction = 2.5

player.movement = {} --Not sure what the real purpose of this is right now. Would work for key mapping.
player.movement.keyUp = "w"
player.movement.keyDown = "s"

player.movement.isMoving = false

player.img = {}


player.img[1] = love.graphics.newImage("images/red.png")
player.img[2] = love.graphics.newImage("images/blue.png")
player.img[3] = love.graphics.newImage("images/green.png")
player.img.color = 1

player.img.rotation = 0
player.img.scale = 1
player.img.offsetX = player.img[player.img.color]:getWidth()/2
player.img.offsetY = player.img[player.img.color]:getHeight()/2


function playerUpdate(dt)
	local mouseX, mouseY = cam:mousepos() --Reads the mouse within the visible screen
	player.img.rotation = math.atan2(mouseY - player.yPos, mouseX - player.xPos)


	if love.keyboard.isDown(player.movement.keyUp) then
		player.xVel = player.xVel + (math.cos(player.img.rotation)*player.speed)*dt
		player.yVel = player.yVel + (math.sin(player.img.rotation)*player.speed)*dt

		player.movement.isMoving = true

	else player.movement.isMoving = false
	end
	if love.keyboard.isDown(player.movement.keyDown) then
		player.xVel = player.xVel + (math.cos(player.img.rotation)*-player.speed)*dt
		player.yVel = player.yVel + (math.sin(player.img.rotation)*-player.speed)*dt

		player.movement.isMoving = true

	else player.movement.isMoving = false
	end

	player.xVel = player.xVel * (1 - math.min(dt*player.friction,.5))
	player.yVel = player.yVel * (1 - math.min(dt*player.friction,.5))

	player.xPos = player.xPos + player.xVel
	player.yPos = player.yPos + player.yVel


	playerGlobals()

	--Keeps the player contained within the borders
	if player.xPos <= border.leftside+(border.width*2.5) then player.xPos = border.leftside+(border.width*2.5) player.xVel = 0 end
	if player.xPos >= border.rightside-(border.width*2.5) then player.xPos = border.rightside-(border.width*2.5) player.xVel = 0 end
	if player.yPos <= border.top+(border.width*2.5) then player.yPos = border.top+(border.width*2.5) player.yVel = 0 end
	if player.yPos >= border.bottom-(border.width*2.5) then player.yPos = border.bottom-(border.width*2.5) player.yVel = 0 end
end

function playerDraw()
	love.graphics.draw(player.img[player.img.color], player.xPos, player.yPos, player.img.rotation, player.img.scale, player.img.scale, player.img.offsetX, player.img.offsetY)
end

function playerMousepressed(mb) --Changes the player's current colors.
	if mb == "wu" then
		player.img.color = player.img.color + 1
		if player.img.color > 3 then player.img.color = 1 end
	end
	if mb == "wd" then
		player.img.color = player.img.color- 1
		if player.img.color < 1 then player.img.color = 3 end
	end
end

function playerGlobals() --So that I can access the player's data in the bullet file without making all of player's variables global
--There's probably a better way to do this...
	bulletXpos = player.xPos
	bulletYpos = player.yPos
	bulletcolor = player.img.color
	bulletRot = player.img.rotation
end
